<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>addtodate()
: <a class="el" href="class_date_time.html#a6732a52b45c3e485bf0d1dc1ef689463">DateTime</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>bsxfun()
: <a class="el" href="class_date_time.html#ad00ad9f98ca7964e1bae59eb50d7737e">DateTime</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>colon()
: <a class="el" href="class_date_time.html#a1fd9bed0ee545f66b42585071df4f41f">DateTime</a>
</li>
<li>ctranspose()
: <a class="el" href="class_date_time.html#a6fecb0703d2b528c67574f265aed6a4a">DateTime</a>
</li>
<li>Current()
: <a class="el" href="class_current.html#ae7d0d9e4575985d7af8b47077faf0155">Current</a>
</li>
<li>CurrentTransparency()
: <a class="el" href="class_current_transparency.html#a8f378dd893ff7126fb3ea550b7661fc3">CurrentTransparency</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>datestr()
: <a class="el" href="class_date_time.html#ade71d395751043811f3d4bbe80cc6fc9">DateTime</a>
</li>
<li>DateTime()
: <a class="el" href="class_date_time.html#a7b62c794fe7f862f978f2f585be7483f">DateTime</a>
</li>
<li>datevec()
: <a class="el" href="class_date_time.html#af4e22a86cd0de5c7007a56f6d0509c26">DateTime</a>
</li>
<li>DDOB_Controller()
: <a class="el" href="class_d_d_o_b___controller.html#a33805452fd78625fae42d788c9301529">DDOB_Controller</a>
</li>
<li>de()
: <a class="el" href="class_parameters.html#ab0da154dba497f30567a4a7b8e4ea291">Parameters</a>
</li>
<li>diff()
: <a class="el" href="class_date_time.html#abed1a43c6d15e09a7a0546358dae6f8f">DateTime</a>
</li>
<li>disp()
: <a class="el" href="class_date_time.html#ae11edba9e77ac46c5b92c50fa573085e">DateTime</a>
</li>
<li>DOB_CL_Controller()
: <a class="el" href="class_d_o_b___c_l___controller.html#a0e930cbf26b3f479ac599c72401b492e">DOB_CL_Controller</a>
</li>
<li>DOB_OL_Controller()
: <a class="el" href="class_d_o_b___o_l___controller.html#a52a97b337d7da5beb352094ccd2f9900">DOB_OL_Controller</a>
</li>
<li>doFun()
: <a class="el" href="class_date_time.html#a7eebb9bba378c76696b6347000d50ac4">DateTime</a>
</li>
<li>double()
: <a class="el" href="class_date_time.html#a30a355433f73084cce0bfa1fc9dac723">DateTime</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>end()
: <a class="el" href="class_date_time.html#ac670497161c78a909c4c4756e720ebff">DateTime</a>
</li>
<li>eq()
: <a class="el" href="class_date_time.html#abeeefbdb4c2057a180114a02bd763411">DateTime</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>FilterNthOrder()
: <a class="el" href="class_filter_nth_order.html#a5f5d7fab6b6236c5e657abc7a7d22cc4">FilterNthOrder</a>
</li>
<li>floor()
: <a class="el" href="class_date_time.html#ab09f25f0fcf0f083977dbedcaf976f0d">DateTime</a>
</li>
<li>fun_derivatives()
: <a class="el" href="class_current.html#a6108ff447601d4c6a683b8f3c8e29ed5">Current</a>
, <a class="el" href="class_current_transparency.html#a6108ff447601d4c6a683b8f3c8e29ed5">CurrentTransparency</a>
, <a class="el" href="class_i_model.html#a6108ff447601d4c6a683b8f3c8e29ed5">IModel</a>
, <a class="el" href="class_voltage.html#a6108ff447601d4c6a683b8f3c8e29ed5">Voltage</a>
, <a class="el" href="class_whitney.html#a6108ff447601d4c6a683b8f3c8e29ed5">Whitney</a>
</li>
<li>fun_outputs()
: <a class="el" href="class_current.html#a195100623fa9887b2e36539bc37c655e">Current</a>
, <a class="el" href="class_current_transparency.html#a195100623fa9887b2e36539bc37c655e">CurrentTransparency</a>
, <a class="el" href="class_i_model.html#a195100623fa9887b2e36539bc37c655e">IModel</a>
, <a class="el" href="class_voltage.html#a195100623fa9887b2e36539bc37c655e">Voltage</a>
, <a class="el" href="class_whitney.html#a195100623fa9887b2e36539bc37c655e">Whitney</a>
</li>
<li>fun_update()
: <a class="el" href="class_current.html#a2ed784a2d550a43a37b4d32e62ad09d1">Current</a>
, <a class="el" href="class_current_transparency.html#a2ed784a2d550a43a37b4d32e62ad09d1">CurrentTransparency</a>
, <a class="el" href="class_i_model.html#a2ed784a2d550a43a37b4d32e62ad09d1">IModel</a>
, <a class="el" href="class_voltage.html#a2ed784a2d550a43a37b4d32e62ad09d1">Voltage</a>
, <a class="el" href="class_whitney.html#a2ed784a2d550a43a37b4d32e62ad09d1">Whitney</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>get_initial_state()
: <a class="el" href="class_current.html#a445f33d87e8aca91c27220cd4d8e16da">Current</a>
, <a class="el" href="class_current_transparency.html#a445f33d87e8aca91c27220cd4d8e16da">CurrentTransparency</a>
, <a class="el" href="class_i_model.html#a445f33d87e8aca91c27220cd4d8e16da">IModel</a>
, <a class="el" href="class_voltage.html#a445f33d87e8aca91c27220cd4d8e16da">Voltage</a>
, <a class="el" href="class_whitney.html#a445f33d87e8aca91c27220cd4d8e16da">Whitney</a>
</li>
<li>gt()
: <a class="el" href="class_date_time.html#a89615c6ca072b6af71b3261e32e56789">DateTime</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>horzcat()
: <a class="el" href="class_date_time.html#a014be25af640afc48eeff0adce908236">DateTime</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>IController()
: <a class="el" href="class_i_controller.html#a7da05d6bb9bc7e5cce30a885980d12f4">IController</a>
</li>
<li>IModel()
: <a class="el" href="class_i_model.html#ad37aa182877feb18cf0998702ce7ff0d">IModel</a>
</li>
<li>isfinite()
: <a class="el" href="class_date_time.html#a0cb1f1b8a1eab088c681bfe2bb3277c8">DateTime</a>
</li>
<li>isnan()
: <a class="el" href="class_date_time.html#aba04460b5366cf85084d9ed53ba6b60a">DateTime</a>
</li>
<li>isreal()
: <a class="el" href="class_date_time.html#ab827176c3d55f96aa17f112fedeff29e">DateTime</a>
</li>
</ul>


<h3><a id="index_j"></a>- j -</h3><ul>
<li>je()
: <a class="el" href="class_parameters.html#a6ec65b7b3503098931e56cb916f74ec5">Parameters</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>ke()
: <a class="el" href="class_parameters.html#a27c66142db3c715bed5a8343104b25ad">Parameters</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>le()
: <a class="el" href="class_date_time.html#ac95d705d447312650587c68c5e5cb5d9">DateTime</a>
</li>
<li>length()
: <a class="el" href="class_date_time.html#ab8b9f0e465948e5e6dda96ad6c2d9c03">DateTime</a>
</li>
<li>lt()
: <a class="el" href="class_date_time.html#a9648838c75055415714a7cef02a191fc">DateTime</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>max()
: <a class="el" href="class_date_time.html#aae5de00a4c6fca8dc10e33f45224abb8">DateTime</a>
</li>
<li>min()
: <a class="el" href="class_date_time.html#a9f3a108bd57926d8d66c467c10eb51c9">DateTime</a>
</li>
<li>minus()
: <a class="el" href="class_date_time.html#a161bf548fe694597ac50db4218c74fbe">DateTime</a>
</li>
<li>mrdivide()
: <a class="el" href="class_date_time.html#aefcb605312392e406e1da4f64cbfe420">DateTime</a>
</li>
<li>mtimes()
: <a class="el" href="class_date_time.html#ac55a1f6c1d6bfff9e85d01051a2ed8d5">DateTime</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>nextStep()
: <a class="el" href="class_simulation.html#a57c9fa98355b620000c229d7a738f9f3">Simulation</a>
</li>
<li>norm()
: <a class="el" href="class_date_time.html#a4b78d5c33cfa8de751e2a0e5f28eee27">DateTime</a>
</li>
<li>numel()
: <a class="el" href="class_date_time.html#a6954495b90a6807a5ee8b22fa0df993e">DateTime</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>Parameters()
: <a class="el" href="class_parameters.html#a10dc05f95e459cac8442751d4dbf1554">Parameters</a>
</li>
<li>PID_Controller()
: <a class="el" href="class_p_i_d___controller.html#a88fb35fa0c6903cecd742761afc631ae">PID_Controller</a>
</li>
<li>PID_Controller_transparency()
: <a class="el" href="class_p_i_d___controller__transparency.html#a89b634348addc619f145ce823b97812f">PID_Controller_transparency</a>
</li>
<li>PID_Controller_with_AF()
: <a class="el" href="class_p_i_d___controller__with___a_f.html#a7defcaa0382986714dd8ab4c7e59e071">PID_Controller_with_AF</a>
</li>
<li>plus()
: <a class="el" href="class_date_time.html#a3982f644baefb395d56fdb141b41bdc7">DateTime</a>
</li>
<li>PosGen_Controller()
: <a class="el" href="class_pos_gen___controller.html#af3344b598f8cc339b36c74074e4e4cf6">PosGen_Controller</a>
</li>
<li>process()
: <a class="el" href="class_d_d_o_b___controller.html#ad9482202ed25388acd853771872cc5bd">DDOB_Controller</a>
, <a class="el" href="class_filter_nth_order.html#abde0a5d9e476b8fd77ef7bb14ed96f79">FilterNthOrder</a>
, <a class="el" href="class_i_controller.html#a6b96d559a015f326bf258e7090c9e528">IController</a>
, <a class="el" href="class_pos_gen___controller.html#ad7a898c37fbd7b863040e56688cb93c0">PosGen_Controller</a>
, <a class="el" href="class_vel_gen___controller.html#ad7a898c37fbd7b863040e56688cb93c0">VelGen_Controller</a>
</li>
<li>process_()
: <a class="el" href="class_d_o_b___c_l___controller.html#a7c3da2b5610c57bfd232689f1a762e0e">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a7c3da2b5610c57bfd232689f1a762e0e">DOB_OL_Controller</a>
, <a class="el" href="class_i_controller.html#a7c3da2b5610c57bfd232689f1a762e0e">IController</a>
, <a class="el" href="class_p_i_d___controller.html#a7c3da2b5610c57bfd232689f1a762e0e">PID_Controller</a>
, <a class="el" href="class_p_i_d___controller__transparency.html#a7c3da2b5610c57bfd232689f1a762e0e">PID_Controller_transparency</a>
, <a class="el" href="class_p_i_d___controller__with___a_f.html#a7c3da2b5610c57bfd232689f1a762e0e">PID_Controller_with_AF</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>rdivide()
: <a class="el" href="class_date_time.html#a18e7bea94d54da59aa2e78ace6f9d0b3">DateTime</a>
</li>
<li>readFromYamlFile()
: <a class="el" href="class_parameters.html#ac7c297d68e31d30e80e8ef4240edcfb4">Parameters</a>
</li>
<li>reset()
: <a class="el" href="class_current.html#aa77100b541ba43fcfb22723a677e480d">Current</a>
, <a class="el" href="class_current_transparency.html#aa77100b541ba43fcfb22723a677e480d">CurrentTransparency</a>
, <a class="el" href="class_d_d_o_b___controller.html#aa77100b541ba43fcfb22723a677e480d">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#aa77100b541ba43fcfb22723a677e480d">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#aa77100b541ba43fcfb22723a677e480d">DOB_OL_Controller</a>
, <a class="el" href="class_i_controller.html#aa77100b541ba43fcfb22723a677e480d">IController</a>
, <a class="el" href="class_i_model.html#aa77100b541ba43fcfb22723a677e480d">IModel</a>
, <a class="el" href="class_p_i_d___controller.html#aa77100b541ba43fcfb22723a677e480d">PID_Controller</a>
, <a class="el" href="class_p_i_d___controller__transparency.html#aa77100b541ba43fcfb22723a677e480d">PID_Controller_transparency</a>
, <a class="el" href="class_p_i_d___controller__with___a_f.html#aa77100b541ba43fcfb22723a677e480d">PID_Controller_with_AF</a>
, <a class="el" href="class_simulation.html#aa77100b541ba43fcfb22723a677e480d">Simulation</a>
, <a class="el" href="class_voltage.html#aa77100b541ba43fcfb22723a677e480d">Voltage</a>
, <a class="el" href="class_whitney.html#aa77100b541ba43fcfb22723a677e480d">Whitney</a>
</li>
<li>run()
: <a class="el" href="class_simulation.html#aeb4b2d8a9c76d4b12e9b2b5b5821680a">Simulation</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>setController()
: <a class="el" href="class_simulation.html#a9a60bf0fef7a4b92093c792145acb517">Simulation</a>
</li>
<li>setControlLoop()
: <a class="el" href="class_i_controller.html#aa6170db0f3830fc4baf4fcfb3f790a70">IController</a>
</li>
<li>setJes()
: <a class="el" href="class_parameters.html#a28aec5741eca003fc16ca034d5731780">Parameters</a>
</li>
<li>setKes()
: <a class="el" href="class_parameters.html#a66d23c70ed7dce67295ae3dc2e0a1f14">Parameters</a>
</li>
<li>setModel()
: <a class="el" href="class_simulation.html#a9c101984e5a2cc1c421dd1ce869efebf">Simulation</a>
</li>
<li>setParams()
: <a class="el" href="class_simulation.html#a746809aa9dfd0a6b3ae4de53d915ec82">Simulation</a>
</li>
<li>Simulation()
: <a class="el" href="class_simulation.html#ad20ec1f32b2ac6c9557529412cf7d217">Simulation</a>
</li>
<li>size()
: <a class="el" href="class_date_time.html#aeccc836f8276b74958b1a98d1f5c17aa">DateTime</a>
</li>
<li>sort()
: <a class="el" href="class_date_time.html#a606e4017152ca0117e1782d7b79aa29a">DateTime</a>
</li>
<li>subsasgn()
: <a class="el" href="class_date_time.html#a484fb937988de208da9fe3fa3aab5d78">DateTime</a>
</li>
<li>subsindex()
: <a class="el" href="class_date_time.html#a23d4bae6806ca5dc707bb0d4ffd0498e">DateTime</a>
</li>
<li>subsref()
: <a class="el" href="class_date_time.html#a2c345ea7a6b849e917541e75d3177af5">DateTime</a>
</li>
<li>superiorfloat()
: <a class="el" href="class_date_time.html#a4ee3923e7138643a740373a56599dfbf">DateTime</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>times()
: <a class="el" href="class_date_time.html#a66aab881b027dfd286b1dbf8443a93de">DateTime</a>
</li>
<li>transpose()
: <a class="el" href="class_date_time.html#a2346761f958b1f08c0a87643384c85f2">DateTime</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>VelGen_Controller()
: <a class="el" href="class_vel_gen___controller.html#af042b84af691bd7314e74e49864e0512">VelGen_Controller</a>
</li>
<li>vertcat()
: <a class="el" href="class_date_time.html#a9fc97af5ab4a11686f9a3e274838fa20">DateTime</a>
</li>
<li>Voltage()
: <a class="el" href="class_voltage.html#a957af7ccdf15799d15febde0469d8212">Voltage</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>Whitney()
: <a class="el" href="class_whitney.html#aa29bdf9bc077b6e6dbf1ca568909dda1">Whitney</a>
</li>
<li>writeToYamlFile()
: <a class="el" href="class_parameters.html#adcacacba66bfbf9650ca373b9170a42e">Parameters</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
